apiVersion: policy/v1
kind: PodDisruptionBudget
metadata:
  name: {{ include "who-need-help.fullname" . }}-web
  labels:
    {{- include "who-need-help.labels" . | nindent 4 }}
spec:
  minAvailable: 1
  selector:
    matchLabels:
      {{- include "who-need-help.selectorLabels" . | nindent 6 }}
      app.kubernetes.io/component: web
---
apiVersion: policy/v1
kind: PodDisruptionBudget
metadata:
  name: {{ include "who-need-help.fullname" . }}-worker
  labels:
    {{- include "who-need-help.labels" . | nindent 4 }}
spec:
  minAvailable: 1
  selector:
    matchLabels:
      {{- include "who-need-help.selectorLabels" . | nindent 6 }}
      app.kubernetes.io/component: worker
